# fold-right

Processes the supplied sequence from right to left, applying the supplied function repeatedly to each item in turn, together with an accumulated result value.

fold-right($f as function(item(), item()*) as item()*, $zero as item()*, $seq as item()*) → item()*

Arguments
| $f | function(item(), item()*) as item()* | The function to be applied to each item in the sequence
| $zero | item()* | The initial value (the value to be returned if the sequence is empty)
| $seq | item()* | The input sequence
Result | item()*

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 3.0, XSLT 3.0, XQuery 3.0 (if enabled in Saxon: requires Saxon-PE or Saxon-EE)

XPath 3.0 Specification

Notes on the Saxon implementation

Newly implemented in Saxon 9.3. Requires XPath 3.0 to be enabled.

Next